Subject: Re: [PATCH] Revert "kconfig: Temporarily disable dependency warnings"

From: Mauro Carvalho Chehab <[email-masked]>
Date: Thu, 25 Nov 2010 17:26:39 -0200

Em 25-11-2010 15:16, Arnaud Lacombe escreveu:
> Hi,
> 
> On Sun, Nov 21, 2010 at 9:57 PM, Stephen Rothwell <[email-masked]> wrote:
>> Hi,
>>
>> On Sun, 21 Nov 2010 20:58:54 -0500 Arnaud Lacombe <[email-masked]> wrote:
>>>
>>> There is 2 patches which fixes that by adding to the kconfig language
>>> a "visible" property to menus, 1 revert of "another" solution (which
>>> works but does not scale) and 2 patch which makes usage of the new
>>> property. Ack-ed and complemented by Mauro, but still waiting
>>> review/blessing by Michal.
>>>
>>> The core change is available here: https://patchwork.kernel.org/patch/306412/
>>>
>>> Alternatively, if you don't care about the menu structure, Randy
>>> proposed a one-liner.
>>
>> OK, good to know it is being worked on.  Thanks.
>>
> FYI, I withdrawn the patches and ask for them not to be merged[0], as
> there is a clear lack of interest to see this issue resolved.
> 
> Mauro, may I ask you to remove my patches from:
> 
> git://git.kernel.org/pub/scm/linux/kernel/git/mchehab/linux-next.git
> kconfig_fixes
> 
> please ?

I prefer to have them there, while the issue remains at .37/-next builds.

It is a pain to see all those warnings polluting my console, every time 
I recompile things, and I can't simply do a grep to discard MEDIA 
warnings/errors (as someone proposed), as this may prevent me to get real
errors at media builds.

The better is to give more time to Marek/Sam to review your patch
series and ack or, if they don't agree, to send an alternative patchset
to fix the issues or to revert the changeset that started to produce 
those troubles.

Cheers,
Mauro